#!/bin/sh

case $1 in
	--sdk-mod-ver)
		#print SDK support version
		echo 1.0;
		;;
	--name)
		#print package name
		/bin/get_key_value /var/packages/WebStation/INFO package
		;;
	--pkg-ver)
		#print package version
		/bin/get_key_value /var/packages/WebStation/INFO version
		;;
	--vendor)
		#printf package vendor
		/bin/get_key_value /var/packages/WebStation/INFO maintainer
		;;
	--post)
		/var/packages/WebStation/target/tools/webstation_update_php_timezone.sh
		/usr/sbin/reload pkg-WebStation-php56 >/dev/null 2>&1
		/usr/sbin/reload pkg-WebStation-php70 >/dev/null 2>&1
		php_upstart=$(/usr/bin/find /etc/init/ -name "pkg-webstation-php-*" -printf "%f\n")
		for file in $php_upstart; do
			/usr/sbin/reload ${file%%.*} || true
		done
		;;
	*)
		echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--post"
		;;
esac

